#ifndef FUSE_H
#define FUSE_H

typedef struct fuseArgStruct
{
    int create;
    int list;
    int add;
    int remove;
    int extract;
    char* toAdd;
    char* toRemove;
    char* toExtract;
    char* fsname;
    int fd;
    int newfs;
    int filefsname;
} fuseArgStruct;

void Fuse(int argc, char* argv[]);
void FuseCheckArgs(int argc, char* argv[], fuseArgStruct* fuseArgs);
void FuseGivenTest(fuseArgStruct* fuseArgs, char* programPath);
void FuseStructInit(fuseArgStruct* fuseStruct);
void FuseUsageError(char* programPath);
int zerosize(int fd);

#endif
